## RygelHTTPByteSeekResponse

RygelHTTPByteSeekResponse

## Functions

RygelHTTPByteSeekResponse * | rygel_http_byte_seek_response_new ()
RygelHTTPByteSeekResponse * | rygel_http_byte_seek_response_new_from_request ()
gint64 | rygel_http_byte_seek_response_get_start_byte ()
void | rygel_http_byte_seek_response_set_start_byte ()
gint64 | rygel_http_byte_seek_response_get_end_byte ()
void | rygel_http_byte_seek_response_set_end_byte ()
gint64 | rygel_http_byte_seek_response_get_range_length ()
gint64 | rygel_http_byte_seek_response_get_total_size ()
void | rygel_http_byte_seek_response_set_total_size ()

## Properties

gint64 | end-byte | Read / Write
gint64 | range-length | Read
gint64 | start-byte | Read / Write
gint64 | total-size | Read / Write

## Types and Values

#define | RYGEL_TYPE_HTTP_BYTE_SEEK_RESPONSE
struct | RygelHTTPByteSeekResponse
struct | RygelHTTPByteSeekResponseClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPResponseElement
            ╰── RygelHTTPByteSeekResponse

## Description

## Functions

### rygel_http_byte_seek_response_new ()

    RygelHTTPByteSeekResponse *
    rygel_http_byte_seek_response_new (gint64 start_byte,
                                       gint64 end_byte,
                                       gint64 total_size);

#### Parameters

start_byte |  |
end_byte |  |
total_size |  |

### rygel_http_byte_seek_response_new_from_request ()

    RygelHTTPByteSeekResponse *
    rygel_http_byte_seek_response_new_from_request
                                   (RygelHTTPByteSeekRequest *request);

#### Parameters

request |  |

### rygel_http_byte_seek_response_get_start_byte ()

    gint64
    rygel_http_byte_seek_response_get_start_byte
                                   (RygelHTTPByteSeekResponse *self);

Get and return the current value of the "start-byte" property.

The start of the range in bytes

#### Parameters

self | the RygelHTTPByteSeekResponse instance to query |

#### Returns

the value of the "start-byte" property

### rygel_http_byte_seek_response_set_start_byte ()

    void
    rygel_http_byte_seek_response_set_start_byte
                                   (RygelHTTPByteSeekResponse *self,
                                    gint64 value);

Set the value of the "start-byte" property to `value` .

The start of the range in bytes

#### Parameters

self | the RygelHTTPByteSeekResponse instance to modify |
value | the new value of the "start-byte" property |

### rygel_http_byte_seek_response_get_end_byte ()

    gint64
    rygel_http_byte_seek_response_get_end_byte
                                   (RygelHTTPByteSeekResponse *self);

Get and return the current value of the "end-byte" property.

The end of the range in bytes (inclusive)

#### Parameters

self | the RygelHTTPByteSeekResponse instance to query |

#### Returns

the value of the "end-byte" property

### rygel_http_byte_seek_response_set_end_byte ()

    void
    rygel_http_byte_seek_response_set_end_byte
                                   (RygelHTTPByteSeekResponse *self,
                                    gint64 value);

Set the value of the "end-byte" property to `value` .

The end of the range in bytes (inclusive)

#### Parameters

self | the RygelHTTPByteSeekResponse instance to modify |
value | the new value of the "end-byte" property |

### rygel_http_byte_seek_response_get_range_length ()

    gint64
    rygel_http_byte_seek_response_get_range_length
                                   (RygelHTTPByteSeekResponse *self);

Get and return the current value of the "range-length" property.

The length of the range in bytes

#### Parameters

self | the RygelHTTPByteSeekResponse instance to query |

#### Returns

the value of the "range-length" property

### rygel_http_byte_seek_response_get_total_size ()

    gint64
    rygel_http_byte_seek_response_get_total_size
                                   (RygelHTTPByteSeekResponse *self);

Get and return the current value of the "total-size" property.

The length of the resource in bytes

#### Parameters

self | the RygelHTTPByteSeekResponse instance to query |

#### Returns

the value of the "total-size" property

### rygel_http_byte_seek_response_set_total_size ()

    void
    rygel_http_byte_seek_response_set_total_size
                                   (RygelHTTPByteSeekResponse *self,
                                    gint64 value);

Set the value of the "total-size" property to `value` .

The length of the resource in bytes

#### Parameters

self | the RygelHTTPByteSeekResponse instance to modify |
value | the new value of the "total-size" property |

## Types and Values

### RYGEL_TYPE_HTTP_BYTE_SEEK_RESPONSE

    #define RYGEL_TYPE_HTTP_BYTE_SEEK_RESPONSE (rygel_http_byte_seek_response_get_type ())

The type for RygelHTTPByteSeekResponse.

### struct RygelHTTPByteSeekResponse

    struct RygelHTTPByteSeekResponse;

### struct RygelHTTPByteSeekResponseClass

    struct RygelHTTPByteSeekResponseClass {
    	RygelHTTPResponseElementClass parent_class;
    };

The class structure for `RYGEL_TYPE_HTTP_BYTE_SEEK_RESPONSE`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“end-byte”` property

      “end-byte”                 gint64

The end of the range in bytes (inclusive)

Flags: Read / Write

Default value: 0

### The `“range-length”` property

      “range-length”             gint64

The length of the range in bytes

Flags: Read

Default value: 0

### The `“start-byte”` property

      “start-byte”               gint64

The start of the range in bytes

Flags: Read / Write

Default value: 0

### The `“total-size”` property

      “total-size”               gint64

The length of the resource in bytes

Flags: Read / Write

Default value: 0